<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$ubigeo_pais_add = new ubigeo_pais_add();

// Run the page
$ubigeo_pais_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$ubigeo_pais_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fubigeo_paisadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fubigeo_paisadd = currentForm = new ew.Form("fubigeo_paisadd", "add");

	// Validate form
	fubigeo_paisadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($ubigeo_pais_add->nombre->Required) { ?>
				elm = this.getElements("x" + infix + "_nombre");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $ubigeo_pais_add->nombre->caption(), $ubigeo_pais_add->nombre->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($ubigeo_pais_add->codigo->Required) { ?>
				elm = this.getElements("x" + infix + "_codigo");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $ubigeo_pais_add->codigo->caption(), $ubigeo_pais_add->codigo->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fubigeo_paisadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fubigeo_paisadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fubigeo_paisadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $ubigeo_pais_add->showPageHeader(); ?>
<?php
$ubigeo_pais_add->showMessage();
?>
<form name="fubigeo_paisadd" id="fubigeo_paisadd" class="<?php echo $ubigeo_pais_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="ubigeo_pais">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$ubigeo_pais_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($ubigeo_pais_add->nombre->Visible) { // nombre ?>
	<div id="r_nombre" class="form-group row">
		<label id="elh_ubigeo_pais_nombre" for="x_nombre" class="<?php echo $ubigeo_pais_add->LeftColumnClass ?>"><?php echo $ubigeo_pais_add->nombre->caption() ?><?php echo $ubigeo_pais_add->nombre->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $ubigeo_pais_add->RightColumnClass ?>"><div <?php echo $ubigeo_pais_add->nombre->cellAttributes() ?>>
<span id="el_ubigeo_pais_nombre">
<input type="text" data-table="ubigeo_pais" data-field="x_nombre" name="x_nombre" id="x_nombre" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($ubigeo_pais_add->nombre->getPlaceHolder()) ?>" value="<?php echo $ubigeo_pais_add->nombre->EditValue ?>"<?php echo $ubigeo_pais_add->nombre->editAttributes() ?>>
</span>
<?php echo $ubigeo_pais_add->nombre->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($ubigeo_pais_add->codigo->Visible) { // codigo ?>
	<div id="r_codigo" class="form-group row">
		<label id="elh_ubigeo_pais_codigo" for="x_codigo" class="<?php echo $ubigeo_pais_add->LeftColumnClass ?>"><?php echo $ubigeo_pais_add->codigo->caption() ?><?php echo $ubigeo_pais_add->codigo->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $ubigeo_pais_add->RightColumnClass ?>"><div <?php echo $ubigeo_pais_add->codigo->cellAttributes() ?>>
<span id="el_ubigeo_pais_codigo">
<input type="text" data-table="ubigeo_pais" data-field="x_codigo" name="x_codigo" id="x_codigo" size="30" maxlength="2" placeholder="<?php echo HtmlEncode($ubigeo_pais_add->codigo->getPlaceHolder()) ?>" value="<?php echo $ubigeo_pais_add->codigo->EditValue ?>"<?php echo $ubigeo_pais_add->codigo->editAttributes() ?>>
</span>
<?php echo $ubigeo_pais_add->codigo->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$ubigeo_pais_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $ubigeo_pais_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $ubigeo_pais_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$ubigeo_pais_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$ubigeo_pais_add->terminate();
?>